"use strict";
exports.__esModule = true;
var tslib_1 = require("tslib");
var react_1 = tslib_1.__importDefault(require("react"));
var Image_1 = tslib_1.__importDefault(require("./UI/Image"));
var useBreakpoint_1 = tslib_1.__importDefault(require("antd/lib/grid/hooks/useBreakpoint"));
var Brand = function (_a) {
    var image = _a.image, name = _a.name;
    var breakpoints = (0, useBreakpoint_1["default"])();
    return (react_1["default"].createElement(react_1["default"].Fragment, null,
        react_1["default"].createElement("div", { className: "w-full brand-item shadow-md hover:shadow-lg py-1 lg:py-4 flex justify-center items-center" },
            react_1["default"].createElement(Image_1["default"], { size: "normal", data: image, alt: "normal", height: breakpoints.xs ? '60px' : '120px', width: "60%", style: { objectFit: 'contain' } })),
        react_1["default"].createElement("div", { className: "text-center mt-4 p-0 lg:p-2 uppercase text:xs lg:text-lg" }, name)));
};
exports["default"] = Brand;
//# sourceMappingURL=Brand.js.map