/// <reference types="react" />
import { RadioChangeEvent } from 'antd';
import { CheckboxValueType } from 'antd/lib/checkbox/Group';
declare type TOnChange = (value: CheckboxValueType[] | RadioChangeEvent) => void;
declare type TProps = {
    onChangeCategoryHandle: TOnChange;
    onChangePriceHandle: TOnChange;
    onChangeBrandHandle: TOnChange;
    categoryHeading: string;
    categoryValue: any;
    category: any;
    priceHeading: string;
    priceValue: any;
    priceRange: any;
    brandHeading: string;
    brandValue: any;
    brandList: any;
    queries: any;
    clearText: string;
    priceClickHandle: () => void;
    clearClickHandle: () => void;
};
declare const CategoryFilter: ({ onChangeCategoryHandle, onChangePriceHandle, onChangeBrandHandle, categoryHeading, categoryValue, category, priceHeading, priceValue, priceRange, brandHeading, brandValue, brandList, queries, clearText, priceClickHandle, clearClickHandle }: TProps) => JSX.Element;
export default CategoryFilter;
