"use strict";
exports.__esModule = true;
var tslib_1 = require("tslib");
var react_1 = tslib_1.__importStar(require("react"));
var FixedRatioImage = function (_a) {
    var ratio = _a.ratio, _b = _a.additionHeight, additionHeight = _b === void 0 ? 0 : _b, _c = _a.className, className = _c === void 0 ? '' : _c, children = _a.children, _d = _a.maxWidth, maxWidth = _d === void 0 ? 'auto' : _d, _e = _a.maxHeight, maxHeight = _e === void 0 ? 'auto' : _e, onContainerClick = _a.onContainerClick, _f = _a.style, style = _f === void 0 ? {} : _f;
    var paddingValue = (0, react_1.useMemo)(function () { return (ratio[1] / ratio[0]) * 100; }, [ratio]);
    return (react_1["default"].createElement("div", { className: "w-full m-auto ".concat(className), style: tslib_1.__assign({ maxHeight: maxHeight, maxWidth: maxWidth }, style) },
        react_1["default"].createElement("div", { className: "relative", onClick: onContainerClick, style: { paddingTop: "calc(".concat(paddingValue, "% + ").concat(additionHeight, "px)") } }, children)));
};
exports["default"] = FixedRatioImage;
//# sourceMappingURL=FixedRatioImage.js.map