"use strict";
exports.__esModule = true;
var tslib_1 = require("tslib");
var react_1 = tslib_1.__importStar(require("react"));
var styled_1 = tslib_1.__importDefault(require("@emotion/styled"));
var StyledImage = styled_1["default"].img(templateObject_1 || (templateObject_1 = tslib_1.__makeTemplateObject(["\n  width: ", ";\n  height: ", ";\n"], ["\n  width: ", ";\n  height: ", ";\n"])), function (props) { return props.width; }, function (props) { return props.height; });
var Image = function (_a) {
    var _b = _a.width, width = _b === void 0 ? '100%' : _b, _c = _a.height, height = _c === void 0 ? '100%' : _c, data = _a.data, _d = _a.isGrayScale, isGrayScale = _d === void 0 ? false : _d, _e = _a.className, className = _e === void 0 ? '' : _e, size = _a.size, noImage = _a.noImage, alt = _a.alt, style = _a.style, rest = tslib_1.__rest(_a, ["width", "height", "data", "isGrayScale", "className", "size", "noImage", "alt", "style"]);
    var _f = style || {}, filter = _f.filter, remainingStyle = tslib_1.__rest(_f, ["filter"]);
    var src = (0, react_1.useMemo)(function () {
        if (typeof data === 'string') {
            return data;
        }
        else if (data) {
            if (size === 'thumbnail') {
                return data.cdnSmall || data.cdnMedium || data.cdnOrigin || data.url;
            }
            else if (size === 'normal') {
                return data.cdnMedium || data.cdnOrigin || data.cdnSmall || data.url;
            }
            else if (size === 'banner') {
                return data.cdnOrigin || data.cdnMedium || data.cdnSmall || data.url;
            }
        }
        else if (size === 'thumbnail') {
            return '/images/default-thumbnail.png';
        }
        else if (size === 'normal' || size === 'banner') {
            return '/images/default-img.png';
        }
        return '/images/default-img.png';
    }, [data]);
    if (noImage && !data) {
        return react_1["default"].createElement(react_1["default"].Fragment, null, noImage);
    }
    return (react_1["default"].createElement(StyledImage, tslib_1.__assign({ width: width, height: height, src: src, alt: alt }, rest, { className: "object-cover ".concat(className), style: tslib_1.__assign(tslib_1.__assign({}, (isGrayScale
            ? { filter: "grayscale(1) brightness(0.965) ".concat(filter || '') }
            : { filter: filter })), remainingStyle) })));
};
exports["default"] = Image;
var templateObject_1;
//# sourceMappingURL=Image.js.map